# frozen_string_literal: true
# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

GEM_ROOT = File.expand_path("../../", __FILE__)
$LOAD_PATH.unshift File.join(GEM_ROOT, "lib")

require 'coveralls'
Coveralls.wear!

require 'hydra/file_characterization'

module SpecSupport
  def fixture_file(filename)
    File.expand_path(File.join('../fixtures', filename), __FILE__)
  end
end

RSpec.configure do |config|
  config.include SpecSupport
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
  config.before(:suite) do
    tool_path = `which fits || which fits.sh`.strip
    Hydra::FileCharacterization::Characterizers::Fits.tool_path = tool_path
  end
end
